close all
I = imread('I1.png')
I = double(I);
figure, imshow2(I)
set(gca, 'clim', [100,120])
px = 32; py = 23;
qx = 51; qy = 27;

hold on
plot(px,py, 'or', 'MarkerSize', 15)
plot(qx,qy, 'or', 'MarkerSize', 15)

lx = linspace(px, qx);
ly = linspace(py, qy);
hold on
plot(lx,ly, 'r', 'LineWidth', 5)

print -dpng fd1.png

l = interp2(I, lx,ly);

figure, plot(l, 'k', 'LineWidth', 5)
hold on
plot(0, l(1), 'ro', 'MarkerSize', 15)
plot(numel(l), l(end), 'ro', 'MarkerSize', 15)
plot(1:numel(l), ones(size(l))*110, 'k', 'LineWidth', 5)

hold on
%plot([16, 90], [103,103], 'LineWidth', 3, 'Color', 'r')
xlabel('Length')
ylabel('Intensity')
print -dpng fd1_l.png

%%  2
I = imread('I2.png')
I = double(I);
I = I(10:end,:);
figure, imshow2(I)
set(gca, 'clim', [100,120])
px = 41; py = 16;
qx = 55; qy = 34;

hold on
plot(px,py, 'or', 'MarkerSize', 15)
plot(qx,qy, 'or', 'MarkerSize', 15)

lx = linspace(px, qx);
ly = linspace(py, qy);
hold on
plot(lx,ly, 'r', 'LineWidth', 5)

print -dpng fd2.png

l = interp2(I, lx,ly);

figure, plot(l, 'k', 'LineWidth', 5)
hold on
plot(0, l(1), 'ro', 'MarkerSize', 15)
plot(numel(l), l(end), 'ro', 'MarkerSize', 15)
plot(1:numel(l), ones(size(l))*103, 'k', 'LineWidth', 5)

hold on
plot([33, 70], [103,103], 'LineWidth', 5, 'Color', 'r')
xlabel('Length')
ylabel('Intensity')
print -dpng fd2_l.png
