%% Render a single fibre by removing the non-fibre stuff

dans = inputdlg(['Enter fibre nr (1 -- ' num2str(numel(fibres)) ') or nothing for the current unsaved'], 'transversalMovie');
dans = dans{1};
if strcmp(dans, '')
    fibre = 0;
else
    fibre= str2num(dans)
end

if fibre == 0
    txx = xx;
    tyy = yy;
    tzz = zz;
else
    txx = fibres{fibre}.xx;
    tyy = fibres{fibre}.yy;
    tzz = fibres{fibre}.zz;
end

% Set the center line to 1
% Interpolation has to be applied ....
mask = uint8(zeros(size(V)));
tr = 15;
for kk=1:numel(txx);
    progressbar(kk,numel(txx));
    %mask(round(tzz(kk)), round(tyy(kk)), round(txx(kk)))=1;
    try    
        mask(round(tzz(kk))-tr:round(tzz(kk))+tr, ...
            round(tyy(kk))-tr:round(tyy(kk))+tr, ...
            round(txx(kk))-tr:round(txx(kk))+tr)=1;
    catch e
    end
end
mask=mask(1:size(V,1), 1:size(V,2), 1:size(V,3));
mask = mask.*V;

disp('Marching cubes');
[Faces, Vertices]=isosurface(mask, 103);

disp('Rendering');

f = figure;
p = subplot('position', [0,0,1,1]);
set(gcf, 'renderer', 'opengl')

patch('faces', Faces, 'vertices', Vertices, 'edgealpha', 0, 'facecolor', [.8,.8,.5]);
view(3)
axis equal
lighting phong
camlight
material dull
set(gcf, 'Color', [0,0,0])
rotate3d
drawbb(size(V,2), size(V,1), size(V,3))