 function [ output_args ] = trackInter(S, xx, yy, dimensions )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

f= figure(6)
set(f, 'Pointer', 'Cross');
%set(f, 'menubar', 'none')
set(f, 'name', 'tz view')
set(f, 'numbertitle', 'off')


% subplot('Position',[left bottom width height]);
pl = subplot('position', [0,0.0,1,1]);

imagesc(S);
colormap gray
set(gca, 'Clim', [98, 116]);
axis equal
axis image
axis off

set(f, 'WindowButtonMotionFcn', @showCoordinates);
set(f, 'WindowButtonDownFcn', @startTrack);

    function showCoordinates(varargin)
        pt = get(pl, 'CurrentPoint');
        t = pt(1,1); x = pt(1,2);
        y = interp1(1:numel(xx), xx, t);
        z = interp1(1:numel(yy), yy, t);
        set(f, 'name', sprintf('(%f, %f, %f)', x, y, z));      
    end

    function startTrack(varargin)
        pt = get(pl, 'CurrentPoint');
        t = pt(1,1); x = pt(1,2);
        z = interp1(1:numel(xx), xx, t);
        zp = interp1(1:numel(xx), xx, t+10);
        y = interp1(1:numel(yy), yy, t);
        yp = interp1(1:numel(yy), yy, t+10);
        N = [0, zp-z, yp-y]; N = N/norm(N);
        P = [x,y,z];
        
        % The normal should point towards the mid of the sample i.e. be aligned with
        % the vector Mid - P
        
        Mid = dimensions/2
        Mid-P
        (Mid-P)*N'
        if (Mid-P)*N' < 0
            N = -N;
        end
        disp('N:')
        disp(N)
        
        assignin('base', 'N', N);
        assignin('base', 'P', P);
        evalin('base', 'startTrack(V, P, N)')
    end
end


