function a = triangleArea(f,v,nr)
% f and v as returned by isosurface
% triangleArea([1,2,3],[[0,0,0]; [0,0,1]; [0,1,0]],1)

v1 = v(f(nr,1),:);
v2 = v(f(nr,2),:);
v3 = v(f(nr,3),:);

a = v2-v1;
b = v3-v1;

a = norm(cross(a,b))/2;

