function g=ggaussian(size,sigma)
% function g=ggaussian(size,sigma)
% returns a gaussian function over the domain specified by size

assert(mod(size,2)==1);
s=(size-1)/2;

D=-s:s;

g=normpdf(D, 0, sigma);
g=g./sum(g);



