set(lz, 'Ydata', [zz(pos), zz(pos)]);

% Update the image data only if the position has changed
if pos ~= oldpos
        y = xx(pos); x=yy(pos);
        % Calculate derivatives
        if pos < (numel(xx)-15)
            ny = -(xx(pos+10)-xx(pos)); nx = yy(pos+10)-yy(pos);
        else
            ny = -(xx(pos)-xx(pos-10)); nx = yy(pos)-yy(pos-10);
        end
        nn = sqrt(ny^2+nx^2); ny = ny/nn; nx = nx/nn;

        OS = zeros(size(V,1), 61);
        r = linspace(-30,30,61);
        one = ones(size(OS,1),1);
        for kk=1:numel(r)
            OS(:,kk)=trilinear8(V, one*(x+ny*r(kk)), 1:size(V,1), one*(y+nx*r(kk)));
        end   
        set(crossplot, 'Cdata', OS)
        oldpos = pos;
        if ~exist('slideMarker', 'var')
            figure(1)
            slideMarker=plot(100,100, '.r', 'MarkerSize', 25);
        end
        set(slideMarker, 'Xdata', y);
        set(slideMarker, 'Ydata', x);
end


    
    
    