S= zeros(size(V,1), numel(xx));
whos
one = ones(size(V,1),1);

%{
xx=fibres{1}.xx;
yy=fibres{1}.yy;
kk=1
%}

for kk=1:numel(xx)
    progressbar(kk, numel(xx));
    % Get the tangent
    if kk < (numel(xx)-20)
        t = [xx(kk+10)-xx(kk), yy(kk+10)-yy(kk)];
    else
        t = [xx(kk)-xx(kk-10), yy(kk)-yy(kk-10)];
    end
    % Normal vector
    n = [t(2), -t(1)]; n = n/norm(n);
    rr = 20;
    PX = repmat(linspace(xx(kk)-n(1)*rr, xx(kk)+n(1)*rr, 2*rr+1), [size(V,1),1]);
    PY = repmat(linspace(yy(kk)-n(2)*rr, yy(kk)+n(2)*rr, 2*rr+1), [size(V,1),1]);
    PZ=repmat((1:size(V,1))', [1,size(V,1)]);
    
    Skk= trilinear8(V, PY, PZ, PX );
    Skk=double(Skk);
    %figure(7)
    %imagesc(Skk)
    %pause(0.01)
    
    S(:,kk)=sum(Skk,2);
    %S(:,kk)=max(Skk');
end

%break

%close all
S=double(S);
%S2 = projTransfer(S, 85, 105, 2*rr+1, 10);
%figure, imshow2(S2)
%figure, imshow2(S)
%S=S2; 
S=S-min(S(:));
S = S/max(S(:));
%break
if 1 ==1
%Smin= 85
%Smax= 132
%Smin=85*(2*r+1);
%Smax = 112*(2*r+1);;

%S = S-Smin;
%S=S/(Smax-Smin);
%S(S<0)=0; S(S>1)=1;
 
 % Stretch the contrast a little
%S=S*1.2;
%S=S-0.1;
%S(S<0)=0;
%S(S>1)=1;
whos
clear HSV
HSV(:,:,1)=.16*ones(size(S)); % yellow
HSV(:,:,2)=0*S;
HSV(first:last,:,2)=1;
HSV(:,:,3)=S;
end
figure(2)
% subplot('Position',[left bottom width height]);
figSelectz = subplot('position', [0,0.2,1,0.8]);
imshow(hsv2rgb(HSV))
%imagesc(S)
colormap('gray')
axis('image')
hold on
plot([0,size(HSV,2)], [first,first],'k')
plot([0,size(HSV,2)], [last,last], 'k')



%% Orthogonal views
Smin= 85; Smax= 132;
positions = round(linspace(10, numel(xx)-10, 5));
for ll=1:5
    subplot(figSelectz)
	pos = positions(ll);
    plot([pos, pos], [first, last], 'r')

    subplot('position', [(ll-1)*.2,0,.2,0.2])    
    cplot(ll)=gca;
    y = xx(pos); x=yy(pos);
    ny = -(xx(pos+10)-xx(pos)); nx = yy(pos+10)-yy(pos);
    
    nn = sqrt(ny^2+nx^2); ny = ny/nn; nx = nx/nn;

    OS = zeros(last-first+1, 61);
    r = linspace(-30,30,61);
    one = ones(size(OS,1),1);
    for kk=1:numel(r)
        OS(:,kk)=trilinear8(V, one*(x+ny*r(kk)), first:last, one*(y+nx*r(kk)));
    end
    imagesc(OS)
    axis equal
    axis image
    colormap gray
    diff = Smax-Smin;
    set(gca, 'Clim', [Smin, Smax])
    hold on
    plot([size(OS,2)/2-rr, size(OS,2)/2-rr], [0, size(OS,1)], 'r')
    plot([size(OS,2)/2+rr, size(OS,2)/2+rr], [0, size(OS,1)], 'r')
    plot([size(OS,2)/2, size(OS,2)/2], [0, size(OS,1)], 'y--')
end
