
close all

%% Find a good angle and crop
I = V(:,:,50);
J = double(dip_rotation(I,-0.05, 'lanczos4', 'min'));
figure, imshow2(J), grid on

J = J(150:260, 10:end-10);
figure, imshow2(J)

%% Rotate the whole volume
W = zeros([size(J,1), size(J,2), size(V,3)], 'uint8');
for kk=1:size(V,3)
    I = V(:,:,kk);
    J = uint8(dip_rotation(I,-0.05, 'lanczos4', 'min'));
    J = J(150:260, 10:end-10);
    W(:,:,kk)=J;
end

volumeSlide(W);

WW = W-96;
WW = WW*10;

volumeSlide(WW)

V = WW;

save('testVolume.mat', 'V', '-v7.3');