%% Create crossplot in fig5 for display of orthogonal cross sections
% is updated from the gui by calling showcross

length = curveLength(xx,yy, ones(size(xx)));
length = round(length);

[txx, tyy]=unitspeed2(xx,yy,length);

S= zeros(size(V,1), numel(txx));
whos
one = ones(size(V,1),1);


for kk=1:numel(txx)
    S(:,kk)=trilinear8(V, one*tyy(kk), 1:size(V,1), one*txx(kk));
end

dimensions = size(V);
trackInter(S, txx, tyy, dimensions)

